nnormalsurfacelist.h File Reference

Contains a packet representing a collection of normal surfaces in a 3-manifold. More...

`#include <algorithm>`
`#include <iterator>`
`#include <vector>`
`#include "regina-core.h"`
`#include "packet/npacket.h"`
`#include "surfaces/nnormalsurface.h"`
`#include "surfaces/normalflags.h"`
`#include "surfaces/normalcoords.h"`
`#include "utilities/memutils.h"`
`#include "utilities/nthread.h"`

## Classes

struct | regina::PacketInfo< PACKET_NORMALSURFACELIST >
| Stores information about the normal surface list packet. More...
class | regina::NNormalSurfaceList
| A packet representing a collection of normal surfaces in a 3-manifold. More...
class | regina::NNormalSurfaceList::VectorIterator
| A bidirectional iterator that runs through the raw vectors for surfaces in this list. More...
struct | regina::NNormalSurfaceList::SurfaceInserter
| An output iterator used to insert surfaces into an NNormalSurfaceList. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Enumerations

enum

regina::SurfaceExportFields {
regina::surfaceExportName = 0x0001, regina::surfaceExportEuler = 0x0002, regina::surfaceExportOrient = 0x0004, regina::surfaceExportSides = 0x0008,
regina::surfaceExportBdry = 0x0010, regina::surfaceExportLink = 0x0020, regina::surfaceExportType = 0x0040, regina::surfaceExportNone = 0,
regina::surfaceExportAllButName = 0x007e, regina::surfaceExportAll = 0x007f
}

| Used to describe a field, or a set of fields, that can be exported alongside a normal surface list. More...

## Functions

REGINA_API NNormalSurfaceVector * | regina::makeZeroVector (const NTriangulation *triangulation, NormalCoords coords)
| Returns a new normal surface vector of the appropriate length for the given triangulation and the given coordinate system. More...
REGINA_API NMatrixInt * | regina::makeMatchingEquations (const NTriangulation *triangulation, NormalCoords coords)
| Creates a new set of normal surface matching equations for the given triangulation using the given coordinate system. More...
REGINA_API NEnumConstraintList * | regina::makeEmbeddedConstraints (const NTriangulation *triangulation, NormalCoords coords)
| Creates a new set of validity constraints representing the condition that normal surfaces be embedded. More...

## Detailed Description

Contains a packet representing a collection of normal surfaces in a 3-manifold.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).